org.eclipse.viatra.query.tooling.generator.model.serializer

## Class GeneratorModelSemanticSequencer

- java.lang.Object
- - org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer
  - - org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer
    - - org.eclipse.viatra.query.tooling.generator.model.serializer.GeneratorModelSemanticSequencer

- All Implemented Interfaces:
    org.eclipse.xtext.serializer.sequencer.ISemanticSequencer

      public class GeneratorModelSemanticSequencer
      extends org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer

      `genericSequencer, genericSequencerProvider`

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer

      `diagnosticProvider, errorAcceptor, feederProvider, masterSequencer, nodeProvider, sequenceAcceptor, transientValues`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratorModelSemanticSequencer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `sequence_Configuration(org.eclipse.xtext.serializer.ISerializationContext context, Configuration semanticObject)` Contexts: Configuration returns Configuration Constraint: (name=ID property+=Property*)
    `protected void` | `sequence_GeneratorModelReference(org.eclipse.xtext.serializer.ISerializationContext context, GeneratorModelReference semanticObject)` Contexts: GeneratorModelReference returns GeneratorModelReference Constraint: genmodel=[GenModel|STRING]
    `protected void` | `sequence_Property(org.eclipse.xtext.serializer.ISerializationContext context, Property semanticObject)` Contexts: Property returns Property Constraint: (key=ID value=STRING)
    `protected void` | `sequence_ViatraQueryGeneratorModel(org.eclipse.xtext.serializer.ISerializationContext context, ViatraQueryGeneratorModel semanticObject)` Contexts: ViatraQueryGeneratorModel returns ViatraQueryGeneratorModel Constraint: ((genmodels+=GeneratorModelReference+ configuration+=Configuration+) | configuration+=Configuration+)?
    `void` | `sequence(org.eclipse.xtext.serializer.ISerializationContext context, org.eclipse.emf.ecore.EObject semanticObject)`

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer

      `init`

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer

      `createContext, createNodeProvider, createSequence, createSequence, createSequencerFeeder, createSequencerFeeder, createSequencerFeeder, createSequencerFeeder, init, setMasterSequencer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratorModelSemanticSequencer

          public GeneratorModelSemanticSequencer()

  - ### Method Detail

    - #### sequence

          public void sequence(org.eclipse.xtext.serializer.ISerializationContext context,
                               org.eclipse.emf.ecore.EObject semanticObject)

      Overrides:
        `sequence` in class `org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer`

    - #### sequence_Configuration

          protected void sequence_Configuration(org.eclipse.xtext.serializer.ISerializationContext context,
                                                Configuration semanticObject)

      Contexts: Configuration returns Configuration Constraint: (name=ID property+=Property*)

    - #### sequence_GeneratorModelReference

          protected void sequence_GeneratorModelReference(org.eclipse.xtext.serializer.ISerializationContext context,
                                                          GeneratorModelReference semanticObject)

      Contexts: GeneratorModelReference returns GeneratorModelReference Constraint: genmodel=[GenModel|STRING]

    - #### sequence_Property

          protected void sequence_Property(org.eclipse.xtext.serializer.ISerializationContext context,
                                           Property semanticObject)

      Contexts: Property returns Property Constraint: (key=ID value=STRING)

    - #### sequence_ViatraQueryGeneratorModel

          protected void sequence_ViatraQueryGeneratorModel(org.eclipse.xtext.serializer.ISerializationContext context,
                                                            ViatraQueryGeneratorModel semanticObject)

      Contexts: ViatraQueryGeneratorModel returns ViatraQueryGeneratorModel Constraint: ((genmodels+=GeneratorModelReference+ configuration+=Configuration+) | configuration+=Configuration+)?